Subject: Re: [PATCH] ASoC: Intel: avs: replace strcmp with sysfs_streq

From: Brahmajit Das <[email-masked]>
Date: Tue, 30 Dec 2025 14:02:21 +0530

On 29.12.2025 11:03, Cezary Rojewski wrote:
> On 2025-12-24 12:35 PM, Mark Brown wrote:
> > On Wed, Dec 24, 2025 at 11:05:56AM +0100, Takashi Iwai wrote:
> > 
> > > I believe it's a false positive, too.
> > > Or is it about potentially unterminated strings?
> > 
> > Regardless of the warning being spurious or not the cleanup seems like a
> > sensible one.
> 
...
> Brahmajit,
> 
> While I'm sure you did, just to be sure - did you try clean-rebuild with the
> 44-hardcode proposed by Amadeusz? We wouldn't want any old-artifacts to get
> in the way.
> 
> 
> Kind regards,
> Czarek

Czarek,

Not sure if it would help but I tracked or narrowed down the issue to
this section of the code in the avs_condpaths_walk function.

	if (avs_tplg_path_template_id_equal(&template->source,
										&template->sink) && dir)
		continue;

If I just comment that code segment out, then it builds successfully;
both with and without the hard coded name length.

I was also looking into GCC bugzilla and there seems to lot of reports
saying these kind of error could be bogus or false positive. I'm not
familiar with GCC internal or experienced in compilers to say/understand
whether this case in particular is a false positive or not.

BTW I can't seem to send the email to Amadeusz, hence removing them from
the CC-list
> msmtp: recipient address [email-masked] not accepted by the server
-- 
Regards,
listout